package com.tmerclub.cloud.common.product.constant;

/**
 * 商品预售类型
 *
 * @author chiley
 * @date 2022/8/19 14:09
 */
public enum PreSaleType {
    /**
     * 未开启预售
     */
    DISABLE(-1),

    /**
     * 全款预售
     */
    FULLPAY(0),
    /**
     * 定金预售
     */
    DEPOSIT(1);

    private final Integer value;

    public Integer value() {
        return value;
    }

    PreSaleType(Integer value) {
        this.value = value;
    }
}
